Skip to main content
PATCH
/
api
/
v1
/
workspace
/
{projectId}
/
tags
/
{tagId}
cURL
curl --request PATCH \
  --url https://us.infisical.com/api/v1/workspace/{projectId}/tags/{tagId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "slug": "<string>",
  "color": "<string>"
}
'
{
  "workspaceTag": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "slug": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "projectId": "<string>",
    "color": "<string>",
    "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdByActorType": "user"
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

projectId
string
required

The ID of the project to update the tag in.

tagId
string
required

The ID of the tag to get details.

Body

application/json
slug
string
required

The slug of the tag to update.

Required string length: 1 - 64
color
string
required

The color of the tag to update.

Response

Default Response

workspaceTag
object
required